Piloterr

Reichelt Product

GET
/v2/reichelt/product

Read one reichelt.de product URL, including article number, EAN, and the euro price.

Credit cost: 1 credit per call

Authorization

ApiKeyAuth
headerx-api-key<token>

Your API key. Include it in the x-api-key header for every request.

Query Parameters

query*string

A reichelt.de or reichelt.com product link. A search link returns 400.

return_page_source?boolean

Set to true to get the raw HTML in result.

Response Body

Successful response

application/json
  1. response
ean?string
mpn?string
url?string
brand?string
price?number
title?string
images?array<string>
currency?string
in_stock?boolean
image_url?string
product_id?string
description?string
price_display?string
article_number?string
Example Request
curl -X GET 'https://api.piloterr.com/v2/reichelt/product?query=string'
Example Response
{  "ean": "9783645651394",  "mpn": "A000073",  "url": "https://www.reichelt.de/de/de/shop/produkt/arduino_uno_rev_3_smd-variante_atmega328_usb-119045",  "brand": "ARDUINO",  "price": 19.9,  "title": "Arduino Uno Rev. 3, SMD-Variante, ATmega328, USB",  "images": [    "https://cdn-reichelt.de/resize/600%2F-/web/xxl_ws/A300%2FARDUINO_UNO_01_NEU.png?type=ProductXxl&resize=600%252F-&",    "https://cdn-reichelt.de/resize/600%2F-/web/xxl_ws/A300%2FARDUINO_UNO_02_NEU.png?type=ProductXxl&resize=600%252F-&",    "https://cdn-reichelt.de/resize/600%2F-/web/xxl_ws/A300%2FARDUINO_UNO_03_NEU.png?type=ProductXxl&resize=600%252F-&",    "https://cdn-reichelt.de/resize/600%2F-/web/xxl_ws/A300%2FARDUINO_UNO_04_NEU.png?type=ProductXxl&resize=600%252F-&",    "https://cdn-reichelt.de/bilder/web/artikel_ws/A300%2FARDUINO_UNO_01_NEU.jpg?type=Product&",    "https://cdn-reichelt.de/bilder/web/artikel_ws/A300%2FARDUINO_UNO_02_NEU.jpg?type=Product&",    "https://cdn-reichelt.de/bilder/web/artikel_ws/A300%2FARDUINO_UNO_03_NEU.jpg?type=Product&",    "https://cdn-reichelt.de/bilder/web/artikel_ws/A300%2FARDUINO_UNO_04_NEU.jpg?type=Product&",    "https://cdn-reichelt.de/resize/75%2F75/web/artikel_ws/A300%2FARDUINO_UNO_01_NEU.jpg?type=Product&resize=75%252F75&",    "https://cdn-reichelt.de/resize/75%2F75/web/artikel_ws/A300%2FARDUINO_UNO_02_NEU.jpg?type=Product&resize=75%252F75&",    "https://cdn-reichelt.de/resize/75%2F75/web/artikel_ws/A300%2FARDUINO_UNO_03_NEU.jpg?type=Product&resize=75%252F75&",    "https://cdn-reichelt.de/resize/75%2F75/web/artikel_ws/A300%2FARDUINO_UNO_04_NEU.jpg?type=Product&resize=75%252F75&",    "https://cdn-reichelt.de/resize/50%2F50/web/artikel_ws/A300%2FARDUINO_UNO_DIP_01_NEU.jpg?type=Product&resize=50%252F50&"  ],  "currency": "EUR",  "in_stock": true,  "image_url": "https://cdn-reichelt.de/resize/600%2F-/web/xxl_ws/A300%2FARDUINO_UNO_01_NEU.png?type=ProductXxl&resize=600%252F-&",  "product_id": "119045",  "description": "ARDUINO™ UNO - OPEN SOURCE Prototyp Plattform Ein Microcontroller-Board basierend auf dem ATMega328 von Atmel. Dieses Board enthält alle wichtigen Eigenschaften um schnell und unkompliziert mit der Programmierung starten zu können. Dieses Board verfügt über: - 14 digitale I/O - Schnittstellen (6 davon als PWM-Ausgang nutzbar) - 6 analoge Eingänge - 16 MHz - Quarzoszillator - USB-Anschluss - Stromanschluss - ICSP-Header - Reset Technischen Daten: - ATMega 328 - Betriebsspannung: 5 V - Eingangsspannung: 7 .. 12 V - Eingangsspannung ( Limit ): 6 .. 20 V - digitale Ein/Ausgänge: 14 - analoge Eingänge: 6 - I DC 40 mA (I/O) / 50 mA (3,3 V) - Flash Memory: 32 KByte - SRAM : 2 KByte - EEPROM: 1 KByte - Takt: 16 MHz Software finden Sie unter: https://www.arduino.cc/en/Main/Software",  "price_display": "19,90 €",  "article_number": "ARDUINO UNO"}